SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001650SOGoWeb Mailpublic2012-02-27 10:102012-07-23 10:37
Reporterkmauz 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.3.12 
Target VersionFixed in Version 
Summary0001650: Got "body part index out of bounds" with some ms exchange forwarded mails
DescriptionI have some messages, which only shows an attachment icon in SOGo webinterface - no content. When I click such a mail I got the
following entries in the sogo logfile:

Feb 27 10:38:40 sogod [18604]: [ERROR] <0x099308E0[SOGoMailObject]:603185> body part index out of bounds(idx=1 vs count=0): {bodyId = "<e432a460-98df-422b-b7a6-88c540510727>"; description = ""; disposition = {}; encoding = "QUOTED-PRINTABLE"; lines = 6; location = ""; md5 = ""; parameterList = {charset = "iso-8859-1"; }; size = 46; subtype = plain; type = text; }
Feb 27 10:38:40 sogod [18604]: [ERROR] <0x099308E0[SOGoMailObject]:603185> body part index out of bounds(idx=1 vs count=0): {bodyId = "<e432a460-98df-422b-b7a6-88c540510727>"; description = ""; disposition = {}; encoding = "QUOTED-PRINTABLE"; lines = 6; location = ""; md5 = ""; parameterList = {charset = "iso-8859-1"; }; size = 46; subtype = plain; type = text; }
Feb 27 14:25:59 sogod [18608]: [ERROR] <0x0B476818[SOGoMailObject]:603115> body part index out of bounds(idx=1 vs count=0): {bodyId = "<63E38F31E1B3F44FA51DB69654C4CFB8@enti2.lokal>"; description = ""; disposition = {}; encoding = BASE64; languages = ("EN-US"); lines = 19; location = ""; md5 = ""; parameterList = {charset = "utf-8"; }; size = 1446; subtype = plain; type = text; }
Feb 27 14:25:59 sogod [18608]: [ERROR] <0x0B476818[SOGoMailObject]:603115> body part index out of bounds(idx=1 vs count=0): {bodyId = "<63E38F31E1B3F44FA51DB69654C4CFB8@enti2.lokal>"; description = ""; disposition = {}; encoding = BASE64; languages = ("EN-US"); lines = 19; location = ""; md5 = ""; parameterList = {charset = "utf-8"; }; size = 1446; subtype = plain; type = text; }
Feb 27 15:22:48 sogod [18605]: [ERROR] <0x0B29B318[SOGoMailObject]:603199> body part index out of bounds(idx=1 vs count=0): {bodyId = "<2002a724-1d32-41af-9003-a2ef18e5f23e>"; description = ""; disposition = {}; encoding = BASE64; lines = 4; location = ""; md5 = ""; parameterList = {charset = "utf-8"; }; size = 264; subtype = plain; type = text; }
Feb 27 15:22:48 sogod [18605]: [ERROR] <0x0B29B318[SOGoMailObject]:603199> body part index out of bounds(idx=1 vs count=0): {bodyId = "<2002a724-1d32-41af-9003-a2ef18e5f23e>"; description = ""; disposition = {}; encoding = BASE64; lines = 4; location = ""; md5 = ""; parameterList = {charset = "utf-8"; }; size = 264; subtype = plain; type = text; }

I can download an open the attachment, and got the (text)content of the e-mail.

here is the source of one the messages

--- START
Return-Path: <XXXXX@htwg-konstanz.de>
Received: from XXXX.htwg-konstanz.de ([unix socket]) by mailsrv2.htwg-konstanz.de (Cyrus v2.3.16) with LMTPA; Mon, 27 Feb 2012 15:22:36 +0100
X-Sieve: CMU Sieve 2.3
Received: from XXXX (XXXX [X.Y.Z.A]) by XXXXX (Postfix) with ESMTPS id 7820D2E234 for <YYYYY@fh-konstanz.de>; Mon, 27 Feb 2012 15:22:36 +0100 (CET)
Received: from XXXXX ([]) by XXXX ([]) with mapi; Mon, 27 Feb 2012 15:22:36 +0100
From: <YYYYY@htwg-konstanz.de>
To: <XXXXX@htwg-konstanz.de>
Subject: Test
Thread-Topic: Test
Date: Mon, 27 Feb 2012 14:22:36 +0000
Message-ID: <b9cab2bd0e75499591eb50083adf2cf9@ABC>
X-MS-Has-Attach:
X-Loop: YYYYY@htwg-konstanz.de
X-MS-TNEF-Correlator:
user-agent: SOGoMail 1.3.12
x-forward: 127.0.0.1
Content-Type: text/plain; charset="utf-8"
Content-ID: <2002a724-1d32-41af-9003-a2ef18e5f23e>
Content-Transfer-Encoding: base64
MIME-Version: 1.0

VGVzdA0KDQoNClRlc3QNCg0KDQpUZXN0DQoNCi0tIA0KS29ucmFkIE1hdXogLSBSZWNoZW56ZW50
cnVtIEhUV0cgS29uc3RhbnoNClRlbDogKzQ5NzUzMTIwNjQ3MiAtIEZheDogKzQ5NzUzMTIwNjE1
Mg0KRS1NYWlsOiBrbWF1ekBodHdnLWtvbnN0YW56LmRlDQpXZWI6IGh0dHA6Ly93d3cuaHR3Zy1r
b25zdGFuei5kZS9yei5odG1sDQo=
--- END

In mutt and thunderbird I can view the mail normaly.
The message is written in SOGo to an exchange user, the exchange user forwards directly back to my cyrus imap / sogo mail account.

Is this an exchange or sogo problem?
TagsNo tags attached.
Attached Fileszip file icon saved_messages.zip [^] (903 bytes) 2012-03-19 03:04

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0003585)
ludovic (administrator)
2012-03-16 14:38

Can you attach to this ticket the original EML version of the broken message?
(0003595)
kmauz (reporter)
2012-03-19 03:10

I have attached a zip eml.
(0003664)
kmauz (reporter)
2012-03-28 02:01

The e-mails from Marco Coli ( sogo-users Lists, Subject "Web Performance Issue" ) also have the described "display problem". I looked in the mail header - and what a surprise - there is an exchange server in the chain of smtp servers.
User avatar (0004198)
ludovic (administrator)
2012-07-23 10:37

This must have been fixed in v1.3.15 or v1.3.16. It works now.

- Issue History
Date Modified Username Field Change
2012-02-27 10:10 kmauz New Issue
2012-03-16 14:38 ludovic Note Added: 0003585
2012-03-19 03:04 kmauz File Added: saved_messages.zip
2012-03-19 03:10 kmauz Note Added: 0003595
2012-03-28 02:01 kmauz Note Added: 0003664
2012-07-23 10:37 ludovic Note Added: 0004198
2012-07-23 10:37 ludovic Status new => closed
2012-07-23 10:37 ludovic Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker